Subject: bug#8794: cons_to_long fixes; making 64-bit EMACS_INT the default

From: Paul Eggert <[email-masked]>
Date: Fri, 03 Jun 2011 12:28:54 -0700

On 06/03/11 08:54, Stefan Monnier wrote:
> So, there are 3 parts:
> - fix the cons<->int conversions.
> - add a 64bit-on-32bit compilation option.
> - make that option the default.
> Please split it into those three parts.

OK.  The 2nd part is already done: just compile the Emacs trunk
with -DWIDE_EMACS_INT.  But I see the need for another part,
containing some prerequisite fixes.  So I'll send three followup emails:

(a) straightforward fixes that I assume are uncontroversial
(b) make 64bit-on-32bit the default (on 32bit systems that support it)
(c) fix the cons<->int conversions

Each part is a prerequisite for the next.  Some of the fixes in
(a) are not actually prerequisites, so if you want me to explode (a)
into the dozen or so patches that it contains, then I can do that,
but I'd rather not bother unless it's needed.